Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class TradingSecurity

    java.lang.Object
      com.fxcm.fix.Instrument
          com.fxcm.fix.TradingSecurity

Direct Known Subclasses:
  TradingSecurity

    public class TradingSecurity

extends Instrument

Instrument - Common component block of FIX messages.

Field Summary

Fields inherited from class com.fxcm.fix.Instrument
`OBJ_TYPE`

Constructor Summary
`TradingSecurity()` Empty constructor.
`TradingSecurity(String aSymbol, int aFXCMSymID, int aFXCMSymPrecision, double aFXCMSymPointSize, int aFXCMSymSortOrder, String aCurrency, double aRoundLot)` Constructs a new TradingSecurity
`TradingSecurity(String aSymbol, int aFXCMSymID, int aFXCMSymPrecision, String aCurrency, double aRoundLot)` Constructor with full set of fields.

Method Summary
`boolean` | `fill(Instrument aOrig)` Fills out object state.
`String` | `getCurrency()` Obtains position currency of offer.
`String` | `getFXCMSubscriptionStatus()`
`double` | `getFXCMSymInterestBuy()` interest rate on buy side
`double` | `getFXCMSymInterestSell()` interest rate on sell side
`double` | `getRoundLot()` Obtains contract size of offer.
`void` | `setCurrency(String aCurrency)` Updates position currency of offer.
`void` | `setFXCMSubscriptionStatus(String aFXCMSubscriptionStatus)`
`void` | `setFXCMSymInterestBuy(double aFXCMSymInterestBuy)` interest rate on buy side
`void` | `setFXCMSymInterestSell(double aFXCMSymInterestSell)` interest on sell side
`void` | `setRoundLot(double aRoundLot)` Updates contract size of offer.
`String` | `toString()` String representation of the class

Methods inherited from class com.fxcm.fix.Instrument
`equals, getCFICode, getContractMultiplier, getFactor, getFXCMCondDistEntryLimit, getFXCMCondDistEntryStop, getFXCMCondDistLimit, getFXCMCondDistStop, getFXCMMaxQuantity, getFXCMMinQuantity, getFXCMProductID, getFXCMSymID, getFXCMSymPointSize, getFXCMSymPrecision, getFXCMSymSortOrder, getFXCMTradingStatus, getProduct, getSecurityType, getSymbol, getType, isBullion, isCommodity, isForex, isIndex, isTreasury, isValid, priceToString, printState, setCFICode, setContractMultiplier, setFactor, setFXCMCondDistEntryLimit, setFXCMCondDistEntryStop, setFXCMCondDistLimit, setFXCMCondDistStop, setFXCMMaxQuantity, setFXCMMinQuantity, setFXCMProductID, setFXCMSymID, setFXCMSymPointSize, setFXCMSymPrecision, setFXCMSymSortOrder, setFXCMTradingStatus, setProduct, setSecurityType, setSymbol`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TradingSecurity

    public TradingSecurity()

  Empty constructor.

### TradingSecurity

    public TradingSecurity(String aSymbol,
                           int aFXCMSymID,
                           int aFXCMSymPrecision,
                           String aCurrency,
                           double aRoundLot)

  Constructor with full set of fields.

  Parameters:
    `aSymbol` - Symbol is defined in "EBS" (Electronic Banking System) format: "CCY1/CCY2"
    `aFXCMSymID` - FXCM ID of currency offer
    `aFXCMSymPrecision` - Number of digits after decimal point
    `aCurrency` - Position Currency
    `aRoundLot` - Position Currency

### TradingSecurity

    public TradingSecurity(String aSymbol,
                           int aFXCMSymID,
                           int aFXCMSymPrecision,
                           double aFXCMSymPointSize,
                           int aFXCMSymSortOrder,
                           String aCurrency,
                           double aRoundLot)

  Constructs a new TradingSecurity

  Parameters:
    `aSymbol` -
    `aFXCMSymID` -
    `aFXCMSymPrecision` -
    `aFXCMSymPointSize` -
    `aFXCMSymSortOrder` -
    `aCurrency` -
    `aRoundLot` -

Method Detail

### getFXCMSubscriptionStatus

    public String getFXCMSubscriptionStatus()

### setFXCMSubscriptionStatus

    public void setFXCMSubscriptionStatus(String aFXCMSubscriptionStatus)

### getCurrency

    public String getCurrency()
                       throws NotDefinedException

  Obtains position currency of offer.

  Returns:
    3 letters currency symbol like "EUR"
  Throws:
    `NotDefinedException` - when field not specified

### getRoundLot

    public double getRoundLot()
                       throws NotDefinedException

  Obtains contract size of offer.

  Returns:
    The trading lot size. Currently 100,000 always
  Throws:
    `NotDefinedException` - when field not specified

### setCurrency

    public void setCurrency(String aCurrency)

  Updates position currency of offer.

  Parameters:
    `aCurrency` - 3 letters currency symbol like "EUR"

### setRoundLot

    public void setRoundLot(double aRoundLot)

  Updates contract size of offer.

  Parameters:
    `aRoundLot` - The trading lot size. Currently 100,000 always

### getFXCMSymInterestBuy

    public double getFXCMSymInterestBuy()

  interest rate on buy side

### setFXCMSymInterestBuy

    public void setFXCMSymInterestBuy(double aFXCMSymInterestBuy)

  interest rate on buy side

  Parameters:
    `aFXCMSymInterestBuy` -

### getFXCMSymInterestSell

    public double getFXCMSymInterestSell()

  interest rate on sell side

### setFXCMSymInterestSell

    public void setFXCMSymInterestSell(double aFXCMSymInterestSell)

  interest on sell side

  Parameters:
    `aFXCMSymInterestSell` -

### fill

    public boolean fill(Instrument aOrig)

  Fills out object state.

  Overrides:
    `fill` in class `Instrument`
  Parameters:
    `aOrig` - Object to copy state from.
  Returns:
    `true` if state is updated; `false` otherwise.

### toString

    public String toString()

  String representation of the class

  Overrides:
    `toString` in class `Instrument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.